## org.codehaus.groovy.grails.web.pages
Class GroovyPageCompiler

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageCompiler

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GroovyPageCompiler

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`GroovyPageCompiler()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Map` `compile()`
`protected void` `compileGSP(File viewsDir, File gspfile, String viewPrefix, String packagePrefix)`
`protected Object` `generateJavaName(String str)`
`groovy.lang.GroovyClassLoader` `getClassLoader()`
`org.codehaus.groovy.control.CompilerConfiguration` `getCompilerConfig()`
`String` `getEncoding()`
`File` `getGeneratedGroovyPagesDirectory()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getPackagePrefix()`
`Object` `getProperty(String property)`
`List<File>` `getSrcFiles()`
`File` `getTargetDir()`
`String` `getViewPrefix()`
`File` `getViewsDir()`
`Object` `invokeMethod(String method, Object arguments)`
`protected String` `relativePath(File relbase, File file)`
`void` `setClassLoader(groovy.lang.GroovyClassLoader value)`
`void` `setCompilerConfig(org.codehaus.groovy.control.CompilerConfiguration c)`
`void` `setEncoding(String value)`
`void` `setGeneratedGroovyPagesDirectory(File value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setPackagePrefix(String value)`
`void` `setProperty(String property, Object value)`
`void` `setSrcFiles(List<File> value)`
`void` `setTargetDir(File value)`
`void` `setViewPrefix(String value)`
`void` `setViewsDir(File value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPageCompiler

    public GroovyPageCompiler()

Method Detail

### getGeneratedGroovyPagesDirectory

    public File getGeneratedGroovyPagesDirectory()

### setGeneratedGroovyPagesDirectory

    public void setGeneratedGroovyPagesDirectory(File value)

### getTargetDir

    public File getTargetDir()

### setTargetDir

    public void setTargetDir(File value)

### getCompilerConfig

    public org.codehaus.groovy.control.CompilerConfiguration getCompilerConfig()

### getClassLoader

    public groovy.lang.GroovyClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(groovy.lang.GroovyClassLoader value)

### getSrcFiles

    public List<File> getSrcFiles()

### setSrcFiles

    public void setSrcFiles(List<File> value)

### getViewsDir

    public File getViewsDir()

### setViewsDir

    public void setViewsDir(File value)

### getViewPrefix

    public String getViewPrefix()

### setViewPrefix

    public void setViewPrefix(String value)

### getPackagePrefix

    public String getPackagePrefix()

### setPackagePrefix

    public void setPackagePrefix(String value)

### getEncoding

    public String getEncoding()

### setEncoding

    public void setEncoding(String value)

### setCompilerConfig

    public void setCompilerConfig(org.codehaus.groovy.control.CompilerConfiguration c)

### compile

    public Map compile()

### compileGSP

    protected void compileGSP(File viewsDir,
                              File gspfile,
                              String viewPrefix,
                              String packagePrefix)

### relativePath

    protected String relativePath(File relbase,
                                  File file)

### generateJavaName

    protected Object generateJavaName(String str)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project